NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Preferences.PartSheetmetal Class Reference

Represents the NX Sheetmetal preferences applicable to part More...

Inheritance diagram for NXOpen.Preferences.PartSheetmetal:
NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view.
 
struct  _FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view.
 
struct  _TabCurveTypeDisplayData
 The members of the following structure are the display data of a tab curve type
 
struct  FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view. More...
 
struct  FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view. More...
 
struct  TabCurveTypeDisplayData
 The members of the following structure are the display data of a tab curve type More...
 

Public Types

enum  BendDefinitionMethodOptions {
  NeutralFactorValue, BendTable, BendAllowanceFormula, MaterialTable,
  ToolTable, BendAllowanceTable, BendDeductionTable, BendDeductionFormula,
  Din6935Formula
}
 This enum represents the bend definition method options in preferences. More...
 
enum  FlatPatternCalloutOrientationType { Leadered, Aligned }
 This enum represents orientation types for the flat pattern callouts More...
 
enum  FlatPatternObjectType {
  BendCenterLine, BendUpCenterLine, BendDownCenterLine, BendTangentLine,
  OuterMoldLine, InnerMoldLine, ExteriorCurves, InteriorCurves,
  InteriorCutoutCurves, InteriorFeatureCurves, StrikePoint, LighteningHoleCenter,
  JoggleLine, AddedTopGeometry, AddedBottomGeometry, ToolMarker,
  Hole, Centermark
}
 The members of the following enumerated type are used to identify object types to the FlatPattern API. More...
 
enum  ParameterEntryType { Value, MaterialTable, ToolIdTable }
 This enum represents the parameter entry type in the preferences. More...
 
enum  TabCurveType { BendCenterLine, BendTangentLine }
 The following members are used to identify curve types of base tab feature. More...
 

Public Member Functions

unsafe void Commit ()
 Commits and applies all the settings done with set_callout_type_display and set_object_type_display. More...
 
unsafe string GetBendAllowanceFormula ()
 RETURNS the bend allowance formula More...
 
unsafe string GetBendDeductionFormula ()
 Returns the bend deduction formula More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.BendDefinitionMethodOptions 
GetBendDefinitionMethodOption ()
 RETURNS the bend definition method More...
 
unsafe NXOpen.Expression GetBendRadius ()
 RETURNS the bend radius expression More...
 
unsafe NXOpen.Expression GetBendReliefDepth ()
 RETURNS the bend relief depth More...
 
unsafe NXOpen.Expression GetBendReliefWidth ()
 RETURNS the bend relief width More...
 
unsafe string GetBendTable ()
 RETURNS the bend table name More...
 
unsafe NXOpen.Expression GetDepthThreshold ()
 RETURNS the depth threshold More...
 
unsafe double GetDeviationalToleranceInFlatSolid ()
 RETURNS the deviational tolerance during Flat Solid simplification More...
 
unsafe NXOpen.Expression GetDistanceThreshold ()
 RETURNS the distance threshold More...
 
unsafe void GetFlatPatternAllCalloutTypeDisplay (out NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay[] displayData)
 Returns the dialog names, identifiers, and enabled status for all the available callout types. More...
 
unsafe void GetFlatPatternAllObjectTypeDisplay (out NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay[] displayData)
 Returns the types, colors, fonts, widths, and enabled status for all the the available object types. More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutOrientationType 
GetFlatPatternCalloutOrientationType ()
 Returns the orientation type for flat pattern callouts. More...
 
unsafe string[] GetFlatPatternCalloutTypeContents (string calloutType)
 Returns the contents for a callout type. More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay 
GetFlatPatternCalloutTypeDisplay (string calloutType)
 Returns the display data for a callout type. More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay 
GetFlatPatternObjectTypeDisplay (NXOpen.Preferences.PartSheetmetal.FlatPatternObjectType objectType)
 Returns the display data for a flat pattern object type. More...
 
unsafe NXOpen.NXColor GetFlexibleCableBottomFaceColor ()
 RETURNS the bottom face color. More...
 
unsafe NXOpen.NXColor GetFlexibleCableTopFaceColor ()
 RETURNS the top face color. More...
 
unsafe NXOpen.Expression GetHoleTreatmentDiameter ()
 RETURNS the hole treatment diameter value in Flat Pattern operation More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetHoleTreatmentType ()
 RETURNS the hole treatment type in Flat Pattern operation More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetInnerCornerTreatmentType ()
 RETURNS the inner corner treatment type in Flat as Solid operation More...
 
unsafe NXOpen.Expression GetInnerCornerTreatmentValue ()
 RETURNS the inner corner treatment value for Flat as Solid operations More...
 
unsafe bool GetIsBsplineSimplifiedInFlatSolid ()
 RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation More...
 
unsafe bool GetIsSystemGeneratedBendReliefRemovedInFlatSolid ()
 RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation More...
 
unsafe bool GetMaintainCircularShapeForHolesInFlatSolid ()
 Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation More...
 
unsafe string GetMaterial ()
 RETURNS the material name saved with the part More...
 
unsafe string[] GetMaterialNames ()
 RETURNS the material names defined in the material standards table More...
 
unsafe string[] GetMaterialProperties (string materialName, out string[] propertyNames)
 RETURNS the material name saved with the part More...
 
unsafe double GetMinimumArcToleranceInFlatSolid ()
 RETURNS the minimum arc tolerance during Flat Solid simplification More...
 
unsafe NXOpen.Expression GetMinimumToolClearance ()
 Returns the minimum tool clearance expression More...
 
unsafe NXOpen.Expression GetMinimumWebLength ()
 Returns the minimum Web Length expression More...
 
unsafe NXOpen.Expression GetNeutralFactor ()
 RETURNS the neutral factor More...
 
unsafe NXOpen.Expression GetOffsetRadius ()
 RETURNS the offset radius More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetOuterCornerTreatmentType ()
 RETURNS the outer corner treatment type in Flat as Solid operation More...
 
unsafe NXOpen.Expression GetOuterCornerTreatmentValue ()
 RETURNS the out corner treatment value for Flat as Solid operations More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.ParameterEntryType 
GetParameterEntryType ()
 Returns the current parameter entry type More...
 
unsafe string GetSecondaryToolName ()
 Returns the secondaryToolName refered from Material Table More...
 
unsafe NXOpen.Expression GetStationaryRadius ()
 RETURNS the stationary radius More...
 
unsafe
NXOpen.Preferences.PartSheetmetal.TabCurveTypeDisplayData 
GetTabCurveTypeDisplayData (NXOpen.Preferences.PartSheetmetal.TabCurveType curveType)
 Returns the display data for a given tab curve type. More...
 
unsafe NXOpen.Expression GetThickness ()
 RETURNS the thickness expression More...
 
unsafe string GetTool ()
 Returns the tool name saved with the part More...
 
unsafe string[] GetToolNames ()
 Returns the tool names defined in the material standards table More...
 
unsafe string[] GetToolProperties (string toolName, out string[] propertyNames)
 Returns the tool properties saved with the part More...
 
unsafe void SetBendAllowanceFormula (bool updateModel, string bendAllowanceFormula)
 SETS the bend allowance formula More...
 
unsafe void SetBendDeductionFormula (bool updateModel, string bendDeductionFormula)
  More...
 
unsafe void SetBendDefinitionMethodOption (bool updateModel, NXOpen.Preferences.PartSheetmetal.BendDefinitionMethodOptions bendDefinitionMethod)
 SETS the bend definition method More...
 
unsafe void SetBendRadius (bool updateModel, string bendRadius)
 The bend radius value More...
 
unsafe void SetBendReliefDepth (bool updateModel, string bendReliefDepth)
 THE bend relief depth value More...
 
unsafe void SetBendReliefWidth (bool updateModel, string bendReliefWidth)
 THE bend relief depth value More...
 
unsafe void SetBendTable (bool updateModel, string bendTable)
 SETS the bend table name More...
 
unsafe void SetDepthThreshold (bool updateModel, string depthThreshold)
 THE depth threshold More...
 
unsafe void SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid)
 SETS the deviational tolerance during Flat Solid simplification More...
 
unsafe void SetDistanceThreshold (bool updateModel, string distanceThreshold)
 THE distance threshold More...
 
unsafe void SetFlatPatternCalloutOrientationType (NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutOrientationType orientation)
 Sets the orientation type for flat pattern callouts. More...
 
unsafe void SetFlatPatternCalloutTypeContents (string calloutType, string[] contents)
 Sets the contents for a callout type. More...
 
unsafe void SetFlatPatternCalloutTypeDisplay (string calloutType, NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay displayData)
 Sets the display data for a callout type. More...
 
unsafe void SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen.Preferences.PartSheetmetal.FlatPatternObjectType objectType, NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay displayData)
 Sets the display data for a flat pattern object type. More...
 
unsafe void SetFlexibleCableBottomFaceColor (NXOpen.NXColor bottomFaceColor)
 THE bottom face color. More...
 
unsafe void SetFlexibleCableTopFaceColor (NXOpen.NXColor topFaceColor)
 THE top face color. More...
 
unsafe void SetHoleTreatmentDiameter (bool updateModel, string diameter)
 SETS the hole treatment diameter value in Flat Pattern operation More...
 
unsafe void SetHoleTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty holeTreatmentType)
 SETS the hole treatment type in Flat Pattern operation More...
 
unsafe void SetInnerCornerTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty innerCornerTreatmentType)
 SETS the inner corner treatment type in Flat as Solid operation More...
 
unsafe void SetInnerCornerTreatmentValue (bool updateModel, string innerCornerTreatment)
 SETS the inner corner treatment value for Flat as Solid operations More...
 
unsafe void SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid)
 SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation More...
 
unsafe void SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved)
 SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation More...
 
unsafe void SetMaintainCircularShapeForHolesInFlatSolid (bool updateModel, bool isMaintainCircularShapeForHoles)
 Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation More...
 
unsafe void SetMaterial (bool updateModel, string standardName)
 The material standard More...
 
unsafe void SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid)
 SETS the minimum arc tolerance during Flat Solid simplification More...
 
unsafe void SetMinimumToolClearance (bool updateModel, string minToolClearance)
 Sets minimum tool clearance expression More...
 
unsafe void SetMinimumWebLength (bool updateModel, string minWebLength)
 Sets minimum Web Length expression More...
 
unsafe void SetNeutralFactor (bool updateModel, string neutralFactor)
 THE bend relief depth value More...
 
unsafe void SetOffsetRadius (bool updateModel, string offsetRadius)
 THE offset radius More...
 
unsafe void SetOuterCornerTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty outerCornerTreatmentType)
 SETS the outer corner treatment type in Flat as Solid operation More...
 
unsafe void SetOuterCornerTreatmentValue (bool updateModel, string outerCornerTreatment)
 THE outer corner treatment value for Flat as Solid operations More...
 
unsafe void SetParameterEntryType (bool updateModel, NXOpen.Preferences.PartSheetmetal.ParameterEntryType parameterEntryType)
 Sets the parameter entry type More...
 
unsafe void SetSecondaryToolName (bool updateModel, string secondaryToolName)
  More...
 
unsafe void SetStationaryRadius (bool updateModel, string stationaryRadius)
 THE stationary radius More...
 
unsafe void SetTabCurveTypeDisplayData (bool updateModel, NXOpen.Preferences.PartSheetmetal.TabCurveType curveType, NXOpen.Preferences.PartSheetmetal.TabCurveTypeDisplayData displayData)
 Sets the display data for a given tab curve type. More...
 
unsafe void SetThickness (bool updateModel, string thickness)
 THE thickness value string More...
 
unsafe void SetTool (bool updateModel, string standardName)
 The tool standard More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the NX Sheetmetal preferences applicable to part

Preferences are in control of the part. They can not be created but can only be changed.

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the bend definition method options in preferences.

This is used to specify the bend definition method. You can choose to use a global Neutral Factor value OR a Bend Table OR a Bend Allowance Formula OR a Material Table.

Enumerator
NeutralFactorValue 

The neutral factor value method

BendTable 

The bend table method

BendAllowanceFormula 

The bend allowance formula method

MaterialTable 

The material table method

ToolTable 

The tool table method

BendAllowanceTable 

The bend allowance table method

BendDeductionTable 

The bend deduction table method

BendDeductionFormula 

The bend deduction formula method

Din6935Formula 

The DIN6935 formula method

This enum represents orientation types for the flat pattern callouts

Enumerator
Leadered 

Leadered

Aligned 

Aligned

The members of the following enumerated type are used to identify object types to the FlatPattern API.

These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.

Enumerator
BendCenterLine 

Deprecated

BendUpCenterLine 
BendDownCenterLine 
BendTangentLine 
OuterMoldLine 
InnerMoldLine 
ExteriorCurves 
InteriorCurves 

Deprecated

InteriorCutoutCurves 
InteriorFeatureCurves 
StrikePoint 
LighteningHoleCenter 
JoggleLine 
AddedTopGeometry 
AddedBottomGeometry 
ToolMarker 
Hole 
Centermark 

This enum represents the parameter entry type in the preferences.

This is used to specify the method which defines how parameters are provided to NX. You can choose to use a Value entry, OR a Material Table entry OR a Tool ID Table entry.

Enumerator
Value 

The manual Value entry method

MaterialTable 

The Material Table entry method

ToolIdTable 

The Tool ID Table entry method

The following members are used to identify curve types of base tab feature.

Enumerator
BendCenterLine 
BendTangentLine 

Member Function Documentation

unsafe void NXOpen.Preferences.PartSheetmetal.Commit ( )
inline

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe string NXOpen.Preferences.PartSheetmetal.GetBendAllowanceFormula ( )
inline

RETURNS the bend allowance formula

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
bend allowance formula
unsafe string NXOpen.Preferences.PartSheetmetal.GetBendDeductionFormula ( )
inline

Returns the bend deduction formula

Created in NX12.0.0

License requirements: None.

Returns
bend deduction formula
unsafe NXOpen.Preferences.PartSheetmetal.BendDefinitionMethodOptions NXOpen.Preferences.PartSheetmetal.GetBendDefinitionMethodOption ( )
inline

RETURNS the bend definition method

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
bend definition method option
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetBendRadius ( )
inline

RETURNS the bend radius expression

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for radius of bend faces
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetBendReliefDepth ( )
inline

RETURNS the bend relief depth

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for depth of bend relief
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetBendReliefWidth ( )
inline

RETURNS the bend relief width

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for width of bend relief
unsafe string NXOpen.Preferences.PartSheetmetal.GetBendTable ( )
inline

RETURNS the bend table name

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
bend table name
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetDepthThreshold ( )
inline

RETURNS the depth threshold

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
expression object for depth threshold of joggle
unsafe double NXOpen.Preferences.PartSheetmetal.GetDeviationalToleranceInFlatSolid ( )
inline

RETURNS the deviational tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
flag
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetDistanceThreshold ( )
inline

RETURNS the distance threshold

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
expression object for distance threshold of joggle
unsafe void NXOpen.Preferences.PartSheetmetal.GetFlatPatternAllCalloutTypeDisplay ( out NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay[]  displayData)
inline

Returns the dialog names, identifiers, and enabled status for all the available callout types.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
displayDataArray of structures with the callout type display data.
unsafe void NXOpen.Preferences.PartSheetmetal.GetFlatPatternAllObjectTypeDisplay ( out NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay[]  displayData)
inline

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
displayDataArray of structures with the object type display data.
unsafe NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutOrientationType NXOpen.Preferences.PartSheetmetal.GetFlatPatternCalloutOrientationType ( )
inline

Returns the orientation type for flat pattern callouts.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
The orientation type for the flat pattern callouts.
unsafe string [] NXOpen.Preferences.PartSheetmetal.GetFlatPatternCalloutTypeContents ( string  calloutType)
inline

Returns the contents for a callout type.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to get the content.
Returns
The contents for the callout type.
unsafe NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay NXOpen.Preferences.PartSheetmetal.GetFlatPatternCalloutTypeDisplay ( string  calloutType)
inline

Returns the display data for a callout type.

The name member of the NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to get the display data.
Returns
The display data for the callout type.
unsafe NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay NXOpen.Preferences.PartSheetmetal.GetFlatPatternObjectTypeDisplay ( NXOpen.Preferences.PartSheetmetal.FlatPatternObjectType  objectType)
inline

Returns the display data for a flat pattern object type.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
objectTypeThe object type for which to return the display data.
Returns
The display data for the flat pattern object type.
unsafe NXOpen.NXColor NXOpen.Preferences.PartSheetmetal.GetFlexibleCableBottomFaceColor ( )
inline

RETURNS the bottom face color.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
unsafe NXOpen.NXColor NXOpen.Preferences.PartSheetmetal.GetFlexibleCableTopFaceColor ( )
inline

RETURNS the top face color.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetHoleTreatmentDiameter ( )
inline

RETURNS the hole treatment diameter value in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for hole diameter value
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartSheetmetal.GetHoleTreatmentType ( )
inline

RETURNS the hole treatment type in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
hole treatment type
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartSheetmetal.GetInnerCornerTreatmentType ( )
inline

RETURNS the inner corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
outer corner treatment type
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetInnerCornerTreatmentValue ( )
inline

RETURNS the inner corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for inner corner treatment value
unsafe bool NXOpen.Preferences.PartSheetmetal.GetIsBsplineSimplifiedInFlatSolid ( )
inline

RETURNS the flag indicating whether B-Splines are simplified as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
flag
unsafe bool NXOpen.Preferences.PartSheetmetal.GetIsSystemGeneratedBendReliefRemovedInFlatSolid ( )
inline

RETURNS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
flag
unsafe bool NXOpen.Preferences.PartSheetmetal.GetMaintainCircularShapeForHolesInFlatSolid ( )
inline

Returns the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
flag
unsafe string NXOpen.Preferences.PartSheetmetal.GetMaterial ( )
inline

RETURNS the material name saved with the part

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
The name of the material saved with the part
unsafe string [] NXOpen.Preferences.PartSheetmetal.GetMaterialNames ( )
inline

RETURNS the material names defined in the material standards table

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
unsafe string [] NXOpen.Preferences.PartSheetmetal.GetMaterialProperties ( string  materialName,
out string[]  propertyNames 
)
inline

RETURNS the material name saved with the part

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
materialNamematerial Name
propertyNamesproperty Names
Returns
property Values
unsafe double NXOpen.Preferences.PartSheetmetal.GetMinimumArcToleranceInFlatSolid ( )
inline

RETURNS the minimum arc tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
flag
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetMinimumToolClearance ( )
inline

Returns the minimum tool clearance expression

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for punch tool clearance
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetMinimumWebLength ( )
inline

Returns the minimum Web Length expression

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for Web Length
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetNeutralFactor ( )
inline

RETURNS the neutral factor

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for neutral factor of bend areas
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetOffsetRadius ( )
inline

RETURNS the offset radius

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
expression object for offset radius of joggle
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartSheetmetal.GetOuterCornerTreatmentType ( )
inline

RETURNS the outer corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
outer corner treatment type
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetOuterCornerTreatmentValue ( )
inline

RETURNS the out corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for out corner treatment value
unsafe NXOpen.Preferences.PartSheetmetal.ParameterEntryType NXOpen.Preferences.PartSheetmetal.GetParameterEntryType ( )
inline

Returns the current parameter entry type

Created in NX1847.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
parameter entry type
unsafe string NXOpen.Preferences.PartSheetmetal.GetSecondaryToolName ( )
inline

Returns the secondaryToolName refered from Material Table

Created in NX12.0.0

License requirements: None.

Returns
secondaryToolName
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetStationaryRadius ( )
inline

RETURNS the stationary radius

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Returns
expression object for stationary radius of joggle
unsafe NXOpen.Preferences.PartSheetmetal.TabCurveTypeDisplayData NXOpen.Preferences.PartSheetmetal.GetTabCurveTypeDisplayData ( NXOpen.Preferences.PartSheetmetal.TabCurveType  curveType)
inline

Returns the display data for a given tab curve type.

Created in NX12.0.0

License requirements: None.

Parameters
curveTypeThe curve type for which to return the display data.
Returns
The display data for the tab curves object type.
unsafe NXOpen.Expression NXOpen.Preferences.PartSheetmetal.GetThickness ( )
inline

RETURNS the thickness expression

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
expression object for sheet thickness
unsafe string NXOpen.Preferences.PartSheetmetal.GetTool ( )
inline

Returns the tool name saved with the part

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
The name of the tool saved with the part
unsafe string [] NXOpen.Preferences.PartSheetmetal.GetToolNames ( )
inline

Returns the tool names defined in the material standards table

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
unsafe string [] NXOpen.Preferences.PartSheetmetal.GetToolProperties ( string  toolName,
out string[]  propertyNames 
)
inline

Returns the tool properties saved with the part

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
toolNametool Name
propertyNamesproperty Names
Returns
property Values
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendAllowanceFormula ( bool  updateModel,
string  bendAllowanceFormula 
)
inline

SETS the bend allowance formula

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendAllowanceFormulabend allowance formula
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendDeductionFormula ( bool  updateModel,
string  bendDeductionFormula 
)
inline

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendDeductionFormulabend deduction formula
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendDefinitionMethodOption ( bool  updateModel,
NXOpen.Preferences.PartSheetmetal.BendDefinitionMethodOptions  bendDefinitionMethod 
)
inline

SETS the bend definition method

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendDefinitionMethodbend definition method option
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendRadius ( bool  updateModel,
string  bendRadius 
)
inline

The bend radius value

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendReliefDepth ( bool  updateModel,
string  bendReliefDepth 
)
inline

THE bend relief depth value

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendReliefWidth ( bool  updateModel,
string  bendReliefWidth 
)
inline

THE bend relief depth value

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
unsafe void NXOpen.Preferences.PartSheetmetal.SetBendTable ( bool  updateModel,
string  bendTable 
)
inline

SETS the bend table name

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendTablebend table name
unsafe void NXOpen.Preferences.PartSheetmetal.SetDepthThreshold ( bool  updateModel,
string  depthThreshold 
)
inline

THE depth threshold

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
depthThresholddefault depth threshold for joggle
unsafe void NXOpen.Preferences.PartSheetmetal.SetDeviationalToleranceInFlatSolid ( bool  updateModel,
double  deviationalToleranceInFlatSolid 
)
inline

SETS the deviational tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
deviationalToleranceInFlatSolidflag
unsafe void NXOpen.Preferences.PartSheetmetal.SetDistanceThreshold ( bool  updateModel,
string  distanceThreshold 
)
inline

THE distance threshold

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
distanceThresholddefault distance threshold for joggle
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlatPatternCalloutOrientationType ( NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutOrientationType  orientation)
inline

Sets the orientation type for flat pattern callouts.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
orientationThe orientation type for the flat pattern callouts.
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlatPatternCalloutTypeContents ( string  calloutType,
string[]  contents 
)
inline

Sets the contents for a callout type.

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlatPatternCalloutTypeDisplay ( string  calloutType,
NXOpen.Preferences.PartSheetmetal.FlatPatternCalloutTypeDisplay  displayData 
)
inline

Sets the display data for a callout type.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlatPatternObjectTypeDisplay ( bool  updateModel,
NXOpen.Preferences.PartSheetmetal.FlatPatternObjectType  objectType,
NXOpen.Preferences.PartSheetmetal.FlatPatternObjectTypeDisplay  displayData 
)
inline

Sets the display data for a flat pattern object type.

Created in NX5.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
objectTypeThe object type for which to get the display data.
displayDataThe display data for the flat pattern object type.
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlexibleCableBottomFaceColor ( NXOpen.NXColor  bottomFaceColor)
inline

THE bottom face color.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
bottomFaceColor
unsafe void NXOpen.Preferences.PartSheetmetal.SetFlexibleCableTopFaceColor ( NXOpen.NXColor  topFaceColor)
inline

THE top face color.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
topFaceColor
unsafe void NXOpen.Preferences.PartSheetmetal.SetHoleTreatmentDiameter ( bool  updateModel,
string  diameter 
)
inline

SETS the hole treatment diameter value in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
unsafe void NXOpen.Preferences.PartSheetmetal.SetHoleTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  holeTreatmentType 
)
inline

SETS the hole treatment type in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
holeTreatmentTypehole treatment type
unsafe void NXOpen.Preferences.PartSheetmetal.SetInnerCornerTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  innerCornerTreatmentType 
)
inline

SETS the inner corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentTypeouter corner treatment type
unsafe void NXOpen.Preferences.PartSheetmetal.SetInnerCornerTreatmentValue ( bool  updateModel,
string  innerCornerTreatment 
)
inline

SETS the inner corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
unsafe void NXOpen.Preferences.PartSheetmetal.SetIsBsplineSimplifiedInFlatSolid ( bool  updateModel,
bool  isBsplineSimplifiedInFlatSolid 
)
inline

SETS the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isBsplineSimplifiedInFlatSolidflag
unsafe void NXOpen.Preferences.PartSheetmetal.SetIsSystemGeneratedBendReliefRemovedInFlatSolid ( bool  updateModel,
bool  isSystemGeneratedBendReliefRemoved 
)
inline

SETS the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isSystemGeneratedBendReliefRemovedflag
unsafe void NXOpen.Preferences.PartSheetmetal.SetMaintainCircularShapeForHolesInFlatSolid ( bool  updateModel,
bool  isMaintainCircularShapeForHoles 
)
inline

Sets the flag indicating whether or not maintain circular shape for holes as part of the Flat Solid creation

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isMaintainCircularShapeForHolesflag
unsafe void NXOpen.Preferences.PartSheetmetal.SetMaterial ( bool  updateModel,
string  standardName 
)
inline

The material standard

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
unsafe void NXOpen.Preferences.PartSheetmetal.SetMinimumArcToleranceInFlatSolid ( bool  updateModel,
double  minimumArcToleranceInFlatSolid 
)
inline

SETS the minimum arc tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minimumArcToleranceInFlatSolidflag
unsafe void NXOpen.Preferences.PartSheetmetal.SetMinimumToolClearance ( bool  updateModel,
string  minToolClearance 
)
inline

Sets minimum tool clearance expression

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the model be updated immediately
minToolClearanceminimum tool clearance value for NX Sheetmetal model
unsafe void NXOpen.Preferences.PartSheetmetal.SetMinimumWebLength ( bool  updateModel,
string  minWebLength 
)
inline

Sets minimum Web Length expression

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minWebLengthminimum Web Length value for NX Sheetmetal model
unsafe void NXOpen.Preferences.PartSheetmetal.SetNeutralFactor ( bool  updateModel,
string  neutralFactor 
)
inline

THE bend relief depth value

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
unsafe void NXOpen.Preferences.PartSheetmetal.SetOffsetRadius ( bool  updateModel,
string  offsetRadius 
)
inline

THE offset radius

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
offsetRadiusdefault offset radius for joggle
unsafe void NXOpen.Preferences.PartSheetmetal.SetOuterCornerTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  outerCornerTreatmentType 
)
inline

SETS the outer corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentTypeouter corner treatment type
unsafe void NXOpen.Preferences.PartSheetmetal.SetOuterCornerTreatmentValue ( bool  updateModel,
string  outerCornerTreatment 
)
inline

THE outer corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
unsafe void NXOpen.Preferences.PartSheetmetal.SetParameterEntryType ( bool  updateModel,
NXOpen.Preferences.PartSheetmetal.ParameterEntryType  parameterEntryType 
)
inline

Sets the parameter entry type

Created in NX1847.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
parameterEntryTypeparameter entry type
unsafe void NXOpen.Preferences.PartSheetmetal.SetSecondaryToolName ( bool  updateModel,
string  secondaryToolName 
)
inline

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
secondaryToolNamesecondaryToolName
unsafe void NXOpen.Preferences.PartSheetmetal.SetStationaryRadius ( bool  updateModel,
string  stationaryRadius 
)
inline

THE stationary radius

Created in NX11.0.0

License requirements: adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

Parameters
updateModelSpecifies whether the solid model be updated immediately
stationaryRadiusdefault stationary radius for joggle
unsafe void NXOpen.Preferences.PartSheetmetal.SetTabCurveTypeDisplayData ( bool  updateModel,
NXOpen.Preferences.PartSheetmetal.TabCurveType  curveType,
NXOpen.Preferences.PartSheetmetal.TabCurveTypeDisplayData  displayData 
)
inline

Sets the display data for a given tab curve type.

Created in NX12.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
curveTypeThe curve type for which to get the display data.
displayDataThe display data for the tab curve type.
unsafe void NXOpen.Preferences.PartSheetmetal.SetThickness ( bool  updateModel,
string  thickness 
)
inline

THE thickness value string

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids
unsafe void NXOpen.Preferences.PartSheetmetal.SetTool ( bool  updateModel,
string  standardName 
)
inline

The tool standard

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a tool from the material standards file

Property Documentation

Tag NXOpen.Preferences.PartSheetmetal.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.